<?php
header("content-type:text/html;charset=utf-8");
session_start();
$hra = isset($_SESSION['hra']) ? $_SESSION['hra'] : false;
if($hra) $adresa_serveru = $_SESSION['server'];

require "funkce.php";

// AKCE
// začít hru
if(isset($_POST['start']))
{
	$_SESSION['server'] = isset($_POST['server']) && !empty($_POST['server']) ? $_POST['server'] : "localhost:8000";
	$adresa_serveru = $_SESSION['server'];
	$s = parse(request("start"));
	$_SESSION['hra'] = $s['id'];
	$_SESSION['tahy'] = $s['tahy'];
	$_SESSION['s'] = serialize($s);
	header("Location:1");
	die;
}

if(isset($_POST['e']))
{
	session_destroy();
	header("Location:1");
	die;
}

$a = array("l", "p", "n", "d");
foreach($a as $v)
	if(isset($_POST[$v]))
	{
		$_SESSION['s'] = serialize(parse(pohyb($v)));
		header("Location:1");
		die;
	}
?>
<!doctype html>
<html>
<head>
	<meta http-equiv="content-type" content="text/html;charset=utf-8">
	<title>M52 | 1. Interaktivní hra uživatele</title>
	<style type="text/css">
		th,td {width:40px;height:40px}
		#a,#b {border-radius:50px}
		
		th {background:#000}
		#a,.a {background:#f00}
		#b,.b {background:#00f}
		
		td {font-family:"Courier New";font-size:18pt;font-weight:bold;text-align:center}
		
		#l {float:left;width:50%}
		#p {display:inline}
		
		.pl1 {color:#f00}
		.pl2 {color:#00f}
		
		#o td, #o tr, #o input.a {margin:0;padding:0}
		#o input.c {width:40px;height:40px;font-size:22pt;font-weight:bold;font-family:Tahoma}
	</style>
<?php if($hra): ?>
	<script type="text/javascript">
		document.onkeydown = klavesa;
		function klavesa(e)
		{
			e = e || window.event;
			if(e.keyCode >= 37 && e.keyCode <= 40)
				document.getElementById("b"+e.keyCode).click();
		}
	</script>
<?php endif; ?>
</head>
<body>
<?php
if($hra)
{
	$s = unserialize($_SESSION['s']);
	if(!is_array($s))
	{
		echo "<pre>$s\n\n";
		if(substr_count($s, "Konec"))
		{
			$s = explode(" ", $s);
			$a = (int)$s[2]; // body prvního hráče
			$i = isset($s[3]); // hra jednoho hráče
			if($i)
				$b = (int)$s[3]; // body druhého hráče
			if(!$i) echo "Získali jste $a bodů.";
			elseif($a < $b) echo "Bohužel jste prohráli.";
			elseif($a == $b) echo "Remíza.";
			else echo "Vyhráli jste!";
		}
		echo '</pre><form action="" method="post">Adresa serveru: <input placeholder="localhost:8000" name="server" size="15"> <input type="submit" name="start" value="Začít novou hru"></form>';
		die;
	}
	echo '<div id="l">';
	pole($s);
	$x = $s[1]['x'];
	$y = $s[1]['y'];
	echo '</div><div id="p"><pre>';
	echo "ID hry: ".$s['id']."\nPočet tahů: ".$_SESSION['tahy']."\nPočet zbývajících tahů: ".$s['tahy']."\nPočet hráčů: ".(1+(int)isset($s[2]))."\n\n";
	echo "<b class='pl1'>Hráč 1 (Vy)</b>\nPozice: [".$s[1]['x']."; ".$s[1]['y']."]\nPoklad: ".($s[1]['p'] ? $s[1]['p'] : 'žádný')."\nPoklad na základně: ".($s[1]['c'] ? $s[1]['c'] : 'žádný')."\n\n";
	if(isset($s[2]))
		echo "<b class='pl2'>Hráč 2</b>\nPozice: [".$s[2]['x']."; ".$s[2]['y']."]\nPoklad: ".($s[2]['p'] ? $s[2]['p'] : 'žádný')."\nPoklad na základně: ".($s[2]['c'] ? $s[2]['c'] : 'žádný')."\n\n";
	if(isset($s[2]))
		echo ($s[1]['c'] < $s[2]['c'] ? "Hráč 2 je ve vedení!" : ($s[1]['c'] > $s[2]['c'] ? "Hráč 1 je ve vedení!" : null));
		
	/*list($x_, $y_) = najdi_poklad($x, $y, $s['pole']);
	echo "Nejbližší poklad: [$x_; $y_]\n";
	$cesta = array();
	najdi_cestu($x, $y, $x_, $y_, $s['pole']);
	foreach($cesta as $jdi)
		$jdi = $jdi;
	//$jdi = $cesta[count($cesta)-1];
	if($x-$jdi[0] == 1) $v = "l";
	if($jdi[0]-$x == 1) $v = "p";
	if($y-$jdi[1] == 1) $v = "n";
	if($jdi[1]-$y == 1) $v = "d";
	$ar = array('l' => 'doleva', 'p' => 'doprava', 'n' => 'nahoru', 'd' => 'dolů');
	echo "Jdi na [".$jdi[0]."; ".$jdi[1]."] (".$ar[$v].")\n";*/
	
	echo '</pre>';
	
	echo 'Ovládání: šipky nebo tlačítka.<form action="" method="post"><table id="o">
	<tr><td></td><td><input type="submit" name="n" id="b38" class="c" value="&uarr;"'.(@$s['pole'][$y-1][$x] == 'x' || @$s['pole'][$y-1][$x] == '-' || (isset($s[2]) && $y-1 == $s[2]['y'] && $x == $s[2]['x']) || $y-1 == 0 ? ' disabled' : '').'></td><td></td></tr>
	<tr><td><input type="submit" name="l" id="b37" class="c" value="&larr;"'.(@$s['pole'][$y][$x-1] == 'x' || @$s['pole'][$y][$x-1] == '-' || (isset($s[2]) && $y == $s[2]['y'] && $x-1 == $s[2]['x']) || $x-1 == 0 ? ' disabled' : '').'></td>
	<td><input type="submit" name="d" id="b40" class="c" value="&darr;"'.(@$s['pole'][$y+1][$x] == 'x' || @$s['pole'][$y+1][$x] == '-' || (isset($s[2]) && $y+1 == $s[2]['y'] && $x == $s[2]['x']) || $y+1 > 10 ? ' disabled' : '').'></td>
	<td><input type="submit" name="p" id="b39" class="c" value="&rarr;"'.(@$s['pole'][$y][$x+1] == 'x' || @$s['pole'][$y][$x+1] == '-' || (isset($s[2]) && $y == $s[2]['y'] && $x+1 == $s[2]['x']) || $x+1 > 10 ? ' disabled' : '').'></td></tr>
	<tr><td colspan="3"><input type="submit" name="e" value="Ukončit hru" style="width:140px;font-size:16pt"></td></tr></table></form>';
	echo '</div>';
}
else
	echo '<form action="" method="post">Adresa serveru: <input placeholder="localhost:8000" name="server" size="15"> <input type="submit" name="start" value="Začít hru"></form>';
?>
</body>
</html>